git repos / blockattack-game

commit 1b35580a

sago007 · 2015-11-10 18:47
1b35580a47df897566bbc9ef7dcc432dd740d409 patch · browse files
parent d57894c285c133f76f2cd109f87e7b31148c22ab

Added build using scons to travis build. Does not include install at the moment due to problem with the man files.

Changed files

M .travis.yml before
M Makefile before
M packdata.sh before
M travis_build.script before
diff --git a/.travis.yml b/.travis.yml index d9c4af7..a80311a 100644 --- a/.travis.yml +++ b/.travis.yml
@@ -15,6 +15,7 @@ addons:
- libenet-dev
- libphysfs-dev
- libboost1.55-dev
+ - scons
cache:
apt: true
diff --git a/Makefile b/Makefile index a8825c4..6cb72a9 100644 --- a/Makefile +++ b/Makefile
@@ -12,6 +12,7 @@ standard:
clean:
rm -f ./source/code/build/*.o
+ @make -C source/code -f Makefile clean
rm -f ./source/code/blockattack #Build by scons
rm -f ./Game/blockattack #build by this
diff --git a/packdata.sh b/packdata.sh index b4a50fa..73ccd36 100755 --- a/packdata.sh +++ b/packdata.sh
@@ -1,4 +1,5 @@
-#!/bin/sh
+#!/bin/bash
+set -e
zip -9rj Game/blockattack.data source/AUTH
cd Game
zip -9r blockattack.data gfx -x \*svn*
diff --git a/travis_build.script b/travis_build.script index 4fe59dc..b4cc0a3 100755 --- a/travis_build.script +++ b/travis_build.script
@@ -1,2 +1,6 @@
#! /bin/bash
make -C source/code -f Makefile
+make clean
+./packdata.sh
+scons -Q prefix=$HOME -Q sharedir=$HOME/share/
+